/*
 * 8 avril 2007
 * 
 * SCALP - Système de Cartographie Automatique Libre pour la Pédagogie
 * Version beta 0.94
 *
 * Copyright 1997-2007 Université de Toulouse Le Mirail / Département de Géographie / Laurent Jégou
 * Portions : 	Copyright (c) 2004 Sun Microsystems (file filter, AbstractLayout)
 * 				Copyright 1999, 2000, 2001, 2002 by Bruno Lowagie (iText pdf exports)
 * 				Copyright (C) 2001 Andrew Khan (jxl import/export format Excelé)
 * http://www.univ-tlse2.fr/geoprdc
 * jegou@univ-tlse2.fr
 * 
 * Ce programme est un logiciel libre régi par la licence CeCILL (cf. lien ci-dessous), cette licence confére
 * aux utilisateurs la liberté de modification et de redistribution du logiciel, dans le cadre d'un modéle de
 * diffusion open-source.
 * L'exercice de ces libertés est assorti de certains devoirs é la charge des utilisateurs afin de préserver
 * ce statut au cours des redistributions ultérieures.
 * Léaccessibilité au code source et les droits de copie, de modification et de redistribution qui en découlent
 * ont pour contrepartie de néoffrir aux utilisateurs quéune garantie limitée et de ne faire peser sur léauteur
 * le titulaire des droits patrimoniaux et les concédants successifs quéune responsabilité restreinte.
 * 
 * Le texte intégral de la licence se trouve dans la disribution, ou é l'adresse suivante :
 * http://www.cecill.info
 */

package donnees;

/**
 * @author Laurent
 *  
 */
public class champDonnees {
    public String nom;

    public String typeS;

    public int typeI;

    public champDonnees() {
        nom = "null"; //$NON-NLS-1$
        typeS = "Char"; //$NON-NLS-1$
        typeI = 99;
    }

    champDonnees(String titre, String type) {
        nom = titre;
        typeS = type;
        typeI = getTypeFromString(type);
    }

    champDonnees(String titre, int type) {
        nom = titre;
        typeI = type;
        typeS = getTypeFromInt(type);
    }

    public int getTypeFromString(String type) {
        if (type.equals("Integer")) { //$NON-NLS-1$
            return 0;
        }
        if (type.substring(0, 4).equals("Char")) { //$NON-NLS-1$
            return 1;
        }
        if (type.equals("Float")) { //$NON-NLS-1$
            return 2;
        }
        return 99;
    }

    public String getTypeFromInt(int type) {
        switch (type) {
        case 0:
            return "Integer"; //$NON-NLS-1$
        case 1:
            return "Char"; //$NON-NLS-1$
        case 2:
            return "Float"; //$NON-NLS-1$
        case 99:
            return "Char"; //$NON-NLS-1$
        default:
            return "Char"; //$NON-NLS-1$
        }
    }
}