/*
 * 8 avril 2007
 * 
 * SCALP - Système de Cartographie Automatique Libre pour la Pédagogie
 * Version beta 0.94
 *
 * Copyright 1997-2007 Université de Toulouse Le Mirail / Département de Géographie / Laurent Jégou
 * Portions : 	Copyright (c) 2004 Sun Microsystems (file filter, AbstractLayout)
 * 				Copyright 1999, 2000, 2001, 2002 by Bruno Lowagie (iText pdf exports)
 * 				Copyright (C) 2001 Andrew Khan (jxl import/export format Excelé)
 * http://www.univ-tlse2.fr/geoprdc
 * jegou@univ-tlse2.fr
 * 
 * Ce programme est un logiciel libre régi par la licence CeCILL (cf. lien ci-dessous), cette licence confére
 * aux utilisateurs la liberté de modification et de redistribution du logiciel, dans le cadre d'un modéle de
 * diffusion open-source.
 * L'exercice de ces libertés est assorti de certains devoirs é la charge des utilisateurs afin de préserver
 * ce statut au cours des redistributions ultérieures.
 * Léaccessibilité au code source et les droits de copie, de modification et de redistribution qui en découlent
 * ont pour contrepartie de néoffrir aux utilisateurs quéune garantie limitée et de ne faire peser sur léauteur
 * le titulaire des droits patrimoniaux et les concédants successifs quéune responsabilité restreinte.
 * 
 * Le texte intégral de la licence se trouve dans la disribution, ou é l'adresse suivante :
 * http://www.cecill.info
 */

package guiInterface;

import java.awt.event.ActionListener;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JSeparator;

public class BarreOutil extends JPanel implements ActionListener {
    FenetrePrincipale fen;

    /** Creates a new instance of BarreOutil */
    public BarreOutil(FenetrePrincipale f) {
        this.fen = f;
        initbarreoutil();
        this.setVisible(true);
    }

    public void initbarreoutil() {
        bOuvrir = new JButton();
        bEnregistrer = new JButton();
        jSeparator1 = new JSeparator();
        bChoroplethe = new JButton();
        //bLissee = new JButton();
        //bHachure = new JButton();
        bSymbol = new JButton();
        //bFlux = new JButton();
        jSeparator11 = new JSeparator();
        bCorbeille = new JButton();
        //jSeparator12 = new JSeparator();
        //bInfo = new JButton();
        //bCommentaires = new JButton();
        //jSeparator13 = new JSeparator();
        //bCarte = new JButton();
        //bDonnees = new JButton();
        //jSeparator14 = new JSeparator();
        //bSym = new JButton();
        //bLibelle = new JButton();
        //jSeparator15 = new JSeparator();
        //bFleche = new JButton();
        bMiseEnPage = new JButton();

        this.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        bOuvrir.setIcon(createImageIcon("/ressources/b2r.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bOuvrir.setPressedIcon(createImageIcon("/ressources/b2a.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bOuvrir.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
        bOuvrir.setMargin(new java.awt.Insets(0, 0, 0, 0));
        bOuvrir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fen.ouvrirAction(evt);
            }
        });

        this.add(bOuvrir);

        bEnregistrer.setIcon(createImageIcon("/ressources/b3r.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bEnregistrer.setPressedIcon(createImageIcon("/ressources/b3a.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bEnregistrer.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
        bEnregistrer.setEnabled(false);
        bEnregistrer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fen.EnregistrerAction(evt);
            }
        });

        this.add(bEnregistrer);

        jSeparator1.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator1.setPreferredSize(new java.awt.Dimension(10, 0));
        jSeparator1.setOpaque(true);
        this.add(jSeparator1);

        bChoroplethe.setIcon(createImageIcon("/ressources/b4r.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bChoroplethe.setPressedIcon(createImageIcon("/ressources/b4a.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bChoroplethe.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
        bChoroplethe.setEnabled(false);
        bChoroplethe.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fen.afficheBDChoroCouleur();
            }
        });
        this.add(bChoroplethe);

        /*
         * bLissee.setIcon(new javax.swing.ImageIcon("/ressources/B19a.gif", ""));
         * bLissee.setForeground(new java.awt.Color(0, 204, 204));
         * bLissee.setBackground(new java.awt.Color(0, 204, 204));
         * bLissee.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * bLissee.addActionListener(new java.awt.event.ActionListener() {
         * public void actionPerformed(java.awt.event.ActionEvent evt) {
         * bLisseeActionPerformed(evt); } }); this.add(bLissee);
         * 
         * bHachure.setIcon(new javax.swing.ImageIcon("/ressources/B5aR.gif", ""));
         * bHachure.setIcon(new javax.swing.ImageIcon("/ressources/B5aA.gif", ""));
         * bHachure.setForeground(new java.awt.Color(0, 204, 204));
         * bHachure.setBackground(new java.awt.Color(0, 204, 204));
         * bHachure.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * this.add(bHachure);
         */

        bSymbol.setIcon(createImageIcon("/ressources/b5r.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bSymbol.setPressedIcon(createImageIcon("/ressources/b5a.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bSymbol.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
        bSymbol.setEnabled(false);
        bSymbol.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fen.afficheBDSymbolique();
            }
        });
        this.add(bSymbol);

        /*
         * bFlux.setIcon(createImageIcon("/ressources/B21R.gif", ""));
         * bFlux.setIcon(createImageIcon("/ressources/B21A.gif", ""));
         * bFlux.setForeground(new java.awt.Color(0, 204, 204));
         * bFlux.setBackground(new java.awt.Color(0, 204, 204));
         * bFlux.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * this.add(bFlux);
         */

        jSeparator11.setOrientation(javax.swing.SwingConstants.VERTICAL);
        jSeparator11.setPreferredSize(new java.awt.Dimension(10, 0));
        jSeparator11.setOpaque(true);
        this.add(jSeparator11);

        bCorbeille.setIcon(createImageIcon("/ressources/b6r.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bCorbeille.setPressedIcon(createImageIcon("/ressources/b6a.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bCorbeille.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
        bCorbeille.setEnabled(false);
        bCorbeille.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fen.recyclage();
            }
        });
        this.add(bCorbeille);

        bMiseEnPage.setIcon(createImageIcon("/ressources/b23r.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bMiseEnPage.setPressedIcon(createImageIcon("/ressources/b23a.png", "")); //$NON-NLS-1$ //$NON-NLS-2$
        bMiseEnPage.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
        bMiseEnPage.setEnabled(true);
        bMiseEnPage.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fen.afficheMiseEnPage();
            }
        });
        this.add(bMiseEnPage);

        /*
         * jSeparator12.setOrientation(javax.swing.SwingConstants.VERTICAL);
         * jSeparator12.setPreferredSize(new java.awt.Dimension(10, 0));
         * jSeparator12.setOpaque(true); this.add(jSeparator12);
         * 
         * bInfo.setIcon(createImageIcon("/ressources/b8r.png", ""));
         * bInfo.setPressedIcon(createImageIcon("/ressources/b8a.png", ""));
         * bInfo.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * bInfo.setEnabled(false); this.add(bInfo);
         * 
         * bCommentaires.setIcon(createImageIcon("/ressources/B16R.gif", "", ""));
         * bCommentaires.setIcon(createImageIcon("/ressources/B16A.gif", "", ""));
         * bCommentaires.setForeground(new java.awt.Color(0, 204, 204));
         * bCommentaires.setBackground(new java.awt.Color(0, 204, 204));
         * bCommentaires.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0,
         * 0)); this.add(bCommentaires);
         * 
         * jSeparator13.setOrientation(javax.swing.SwingConstants.VERTICAL);
         * jSeparator13.setPreferredSize(new java.awt.Dimension(10, 0));
         * jSeparator13.setOpaque(true); this.add(jSeparator13);
         * 
         * bCarte.setIcon(createImageIcon("/ressources/B10R.gif", "", ""));
         * bCarte.setIcon(createImageIcon("/ressources/B10A.gif", "", ""));
         * bCarte.setForeground(new java.awt.Color(0, 204, 204));
         * bCarte.setBackground(new java.awt.Color(0, 204, 204));
         * bCarte.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * this.add(bCarte);
         * 
         * bDonnees.setIcon(createImageIcon("/ressources/B9R.gif", "", ""));
         * bDonnees.setIcon(createImageIcon("/ressources/B9A.gif", "", ""));
         * bDonnees.setForeground(new java.awt.Color(0, 204, 204));
         * bDonnees.setBackground(new java.awt.Color(0, 204, 204));
         * bDonnees.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * this.add(bDonnees);
         * 
         * jSeparator14.setOrientation(javax.swing.SwingConstants.VERTICAL);
         * jSeparator14.setForeground(new java.awt.Color(0, 204, 204));
         * jSeparator14.setBackground(new java.awt.Color(0, 204, 204));
         * jSeparator14.setPreferredSize(new java.awt.Dimension(10, 0));
         * jSeparator14.setOpaque(true); this.add(jSeparator14);
         * 
         * bSym.setIcon(createImageIcon("/ressources/B20R.gif", "", ""));
         * bSym.setIcon(createImageIcon("/ressources/B20a.gif", "", ""));
         * bSym.setForeground(new java.awt.Color(0, 204, 204));
         * bSym.setBackground(new java.awt.Color(0, 204, 204));
         * bSym.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * this.add(bSym);
         * 
         * bLibelle.setIcon(createImageIcon("/ressources/B21a1.gif", "", ""));
         * bLibelle.setIcon(createImageIcon("/ressources/B21a1.gif", "", ""));
         * bLibelle.setForeground(new java.awt.Color(0, 204, 204));
         * bLibelle.setBackground(new java.awt.Color(0, 204, 204));
         * bLibelle.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * this.add(bLibelle);
         * 
         * jSeparator15.setOrientation(javax.swing.SwingConstants.VERTICAL);
         * jSeparator15.setForeground(new java.awt.Color(0, 204, 204));
         * jSeparator15.setBackground(new java.awt.Color(0, 204, 204));
         * jSeparator15.setPreferredSize(new java.awt.Dimension(10, 0));
         * jSeparator15.setOpaque(true); this.add(jSeparator15);
         * 
         * bFleche.setIcon(createImageIcon("/ressources/B11R.gif", "", ""));
         * bFleche.setIcon(createImageIcon("/ressources/B11A.gif", "", ""));
         * bFleche.setForeground(new java.awt.Color(0, 204, 204));
         * bFleche.setBackground(new java.awt.Color(0, 204, 204));
         * bFleche.setBorder(new javax.swing.border.EmptyBorder(0, 0, 0, 0));
         * this.add(bFleche);
         */

    }

    public void actionPerformed(java.awt.event.ActionEvent actionEvent) {

    }

    protected static ImageIcon createImageIcon(String path, String description) {
        java.net.URL imgURL = BarreOutil.class.getResource(path);
        if (imgURL != null) {
            return new ImageIcon(imgURL, description);
        } else {
            System.err.println(Messages.getString("BarreOutil.24") + path); //$NON-NLS-1$
            return null;
        }
    }

    public JButton bSymbol;

    public JButton bOuvrir;

    public JButton bEnregistrer;

    public JButton bSym;

    public JButton bCorbeille;

    public JButton bChoroplethe;

    public JButton bMiseEnPage;

    public JSeparator jSeparator1;

    public JSeparator jSeparator11;

    /*
     * public JButton bFleche;
     * 
     * public JButton bCommentaires;
     * 
     * public JSeparator jSeparator15;
     * 
     * public JSeparator jSeparator14;
     * 
     * public JSeparator jSeparator13;
     * 
     * public JSeparator jSeparator12;
     * 
     * public JButton bCarte;
     * 
     * public JButton bLibelle;
     * 
     * public JButton bInfo;
     * 
     * public JButton bLissee;
     * 
     * public JButton bDonnees;
     * 
     * public JButton bHachure;
     * 
     * public JButton bFlux;
     */

}