/*
 * 8 avril 2007
 * 
 * SCALP - Système de Cartographie Automatique Libre pour la Pédagogie
 * Version beta 0.94
 *
 * Copyright 1997-2007 Université de Toulouse Le Mirail / Département de Géographie / Laurent Jégou
 * Portions : 	Copyright (c) 2004 Sun Microsystems (file filter, AbstractLayout)
 * 				Copyright 1999, 2000, 2001, 2002 by Bruno Lowagie (iText pdf exports)
 * 				Copyright (C) 2001 Andrew Khan (jxl import/export format Excelé)
 * http://www.univ-tlse2.fr/geoprdc
 * jegou@univ-tlse2.fr
 * 
 * Ce programme est un logiciel libre régi par la licence CeCILL (cf. lien ci-dessous), cette licence confére
 * aux utilisateurs la liberté de modification et de redistribution du logiciel, dans le cadre d'un modéle de
 * diffusion open-source.
 * L'exercice de ces libertés est assorti de certains devoirs é la charge des utilisateurs afin de préserver
 * ce statut au cours des redistributions ultérieures.
 * Léaccessibilité au code source et les droits de copie, de modification et de redistribution qui en découlent
 * ont pour contrepartie de néoffrir aux utilisateurs quéune garantie limitée et de ne faire peser sur léauteur
 * le titulaire des droits patrimoniaux et les concédants successifs quéune responsabilité restreinte.
 * 
 * Le texte intégral de la licence se trouve dans la disribution, ou é l'adresse suivante :
 * http://www.cecill.info
 */

package guiInterface;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.JDialog;

/**
 * @author Laurent
 * 
 */
public class BoiteDialogueAPropos extends JDialog {

    private BufferedImage logo;
    private javax.swing.JTextArea jTextArea1;
    
    public BoiteDialogueAPropos(java.awt.Frame parent, boolean modal) {
        super(parent, Messages.getString("BoiteDialogueAPropos.0"), modal); //$NON-NLS-1$
        this.setResizable(false);
        this.setBackground(new Color(224, 245, 224));
        initComponents();
    }

    private void initComponents() {
        jTextArea1 = new javax.swing.JTextArea();

        getContentPane().setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
//        java.net.URL imgURL = BoiteDialogueAPropos.class.getResource("/ressources/logo.png"); //$NON-NLS-1$
//        if (imgURL != null) {
//            try {
//                logo = ImageIO.read(imgURL);
//            } catch (IOException e) {
//                System.out.println(Messages.getString("BoiteDialogueAPropos.2") + imgURL); //$NON-NLS-1$
//            }
//        }

        jTextArea1.setEditable(false);
        jTextArea1.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        jTextArea1
                .setText(Messages.getString("BoiteDialogueAPropos.4")); //$NON-NLS-1$
        jTextArea1.setLineWrap(true);
        jTextArea1.setWrapStyleWord(true);
        getContentPane().add(jTextArea1, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, 288, 168));

        pack();
    }
    
    public void paint(Graphics g) {
        super.paint(g);
        //g.drawImage(logo, 30, 40, this);
    }

}