/*
 * 8 avril 2007
 * 
 * SCALP - Système de Cartographie Automatique Libre pour la Pédagogie
 * Version beta 0.94
 *
 * Copyright 1997-2007 Université de Toulouse Le Mirail / Département de Géographie / Laurent Jégou
 * Portions : 	Copyright (c) 2004 Sun Microsystems (file filter, AbstractLayout)
 * 				Copyright 1999, 2000, 2001, 2002 by Bruno Lowagie (iText pdf exports)
 * 				Copyright (C) 2001 Andrew Khan (jxl import/export format Excelé)
 * http://www.univ-tlse2.fr/geoprdc
 * jegou@univ-tlse2.fr
 * 
 * Ce programme est un logiciel libre régi par la licence CeCILL (cf. lien ci-dessous), cette licence confére
 * aux utilisateurs la liberté de modification et de redistribution du logiciel, dans le cadre d'un modéle de
 * diffusion open-source.
 * L'exercice de ces libertés est assorti de certains devoirs é la charge des utilisateurs afin de préserver
 * ce statut au cours des redistributions ultérieures.
 * Léaccessibilité au code source et les droits de copie, de modification et de redistribution qui en découlent
 * ont pour contrepartie de néoffrir aux utilisateurs quéune garantie limitée et de ne faire peser sur léauteur
 * le titulaire des droits patrimoniaux et les concédants successifs quéune responsabilité restreinte.
 * 
 * Le texte intégral de la licence se trouve dans la disribution, ou é l'adresse suivante :
 * http://www.cecill.info
 */

package guiInterface;

import java.awt.Cursor;
import java.awt.event.ActionListener;
import java.util.Vector;

import javax.swing.JOptionPane;

import donnees.champDonnees;


public class BoiteDialogueProjeter extends javax.swing.JDialog implements ActionListener {
    
    public FenetrePrincipale fen;
    public Vector columnNames;
    public Vector tableau;
    public Vector columnNamesQuanti = new Vector();
    
    public BoiteDialogueProjeter(FenetrePrincipale f, Vector c, Vector t) {
        super(f,Messages.getString("BoiteDialogueProjeter.0"),true);      //$NON-NLS-1$
        this.fen=f;
        this.columnNames=c;
        this.tableau=t;
        
        jPanelDepart = new javax.swing.JPanel();
        jPanelVariableDepart = new javax.swing.JPanel();
        labelVariableDepart = new javax.swing.JLabel();
     

        boolean test=false;
        int i=0;
        for (i=0;i<columnNames.size();i++){   // test si les variables sont quantitatives ou non car on ne peut 
          //String elmt=tableau[1][i].toString();  // projeter qu'é partir de var quanti ... mais cela est provisoire en attendant 
          //test=isNombre(elmt);                   // que les types des variables soitconnus dés la lecture du fichier
          if (test==true)columnNamesQuanti.add(((champDonnees)columnNames.get(i)).nom);
          test=false;
        }

        jComboBoxDepart = new javax.swing.JComboBox(columnNamesQuanti);
        
        jPanelAnneeDepart = new javax.swing.JPanel();
        labelAnneeDepart = new javax.swing.JLabel();
        jTextFieldAnneeDepart = new javax.swing.JTextField();
        jPanelCentre = new javax.swing.JPanel();
        jPanelArrive = new javax.swing.JPanel();
        jPanelVariableArrive = new javax.swing.JPanel();
        labelVariaibleArrive = new javax.swing.JLabel();
        
        jComboBoxArrive = new javax.swing.JComboBox(columnNamesQuanti);
        
        jPanelAnneeArrive = new javax.swing.JPanel();
        labelAnneeArrive = new javax.swing.JLabel();
        jTextFieldAnneeArrive = new javax.swing.JTextField();
        jPanelProj = new javax.swing.JPanel();
        jPanelVariableProj = new javax.swing.JPanel();
        labelVariaibleProj = new javax.swing.JLabel();
        jTextFieldVariableCreer = new javax.swing.JTextField();
        jPanelAnneeProj = new javax.swing.JPanel();
        labelAnneeProj = new javax.swing.JLabel();
        jTextFieldAnneeProj = new javax.swing.JTextField();
        jPanelBouton = new javax.swing.JPanel();
        
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });

        
        bcancel = new javax.swing.JButton();
            
        bok = new javax.swing.JButton();
        
            
                    
        jPanelDepart.setBorder(new javax.swing.border.TitledBorder(null, Messages.getString("BoiteDialogueProjeter.1"), javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Dialog", 0, 10), new java.awt.Color(0, 51, 51))); //$NON-NLS-1$ //$NON-NLS-2$
        jPanelVariableDepart.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        labelVariableDepart.setText(Messages.getString("BoiteDialogueProjeter.3")); //$NON-NLS-1$
        labelVariableDepart.setForeground(new java.awt.Color(51, 51, 0));
        labelVariableDepart.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        jPanelVariableDepart.add(labelVariableDepart);

        jComboBoxDepart.setBackground(new java.awt.Color(255, 255, 255));
        jPanelVariableDepart.add(jComboBoxDepart);

        jPanelDepart.add(jPanelVariableDepart);

        labelAnneeDepart.setText(Messages.getString("BoiteDialogueProjeter.5")); //$NON-NLS-1$
        labelAnneeDepart.setForeground(new java.awt.Color(0, 51, 51));
        labelAnneeDepart.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        jPanelAnneeDepart.add(labelAnneeDepart);

        jTextFieldAnneeDepart.setPreferredSize(new java.awt.Dimension(54, 21));
        jPanelAnneeDepart.add(jTextFieldAnneeDepart);

        jPanelDepart.add(jPanelAnneeDepart);

        getContentPane().add(jPanelDepart, java.awt.BorderLayout.NORTH);

        jPanelArrive.setBorder(new javax.swing.border.TitledBorder(null, Messages.getString("BoiteDialogueProjeter.7"), javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Dialog", 0, 10), new java.awt.Color(0, 51, 51))); //$NON-NLS-1$ //$NON-NLS-2$
        jPanelVariableArrive.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        labelVariaibleArrive.setText(Messages.getString("BoiteDialogueProjeter.9")); //$NON-NLS-1$
        labelVariaibleArrive.setForeground(new java.awt.Color(51, 51, 0));
        labelVariaibleArrive.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        jPanelVariableArrive.add(labelVariaibleArrive);

        jComboBoxArrive.setBackground(new java.awt.Color(255, 255, 255));
        jPanelVariableArrive.add(jComboBoxArrive);

        jPanelArrive.add(jPanelVariableArrive);

        labelAnneeArrive.setText(Messages.getString("BoiteDialogueProjeter.11")); //$NON-NLS-1$
        labelAnneeArrive.setForeground(new java.awt.Color(0, 51, 51));
        labelAnneeArrive.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        jPanelAnneeArrive.add(labelAnneeArrive);

        jTextFieldAnneeArrive.setPreferredSize(new java.awt.Dimension(54, 21));
        jPanelAnneeArrive.add(jTextFieldAnneeArrive);

        jPanelArrive.add(jPanelAnneeArrive);

        jPanelCentre.add(jPanelArrive);

        jPanelProj.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        jPanelProj.setBorder(new javax.swing.border.TitledBorder(null, Messages.getString("BoiteDialogueProjeter.13"), javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Dialog", 0, 10), new java.awt.Color(0, 51, 51))); //$NON-NLS-1$ //$NON-NLS-2$
        jPanelProj.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        labelVariaibleProj.setText(Messages.getString("BoiteDialogueProjeter.16")); //$NON-NLS-1$
        labelVariaibleProj.setForeground(new java.awt.Color(51, 51, 0));
        labelVariaibleProj.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        jPanelVariableProj.add(labelVariaibleProj);

        jTextFieldVariableCreer.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        jTextFieldVariableCreer.setPreferredSize(new java.awt.Dimension(104, 21));
        jPanelVariableProj.add(jTextFieldVariableCreer);

        jPanelProj.add(jPanelVariableProj);

        jPanelAnneeProj.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        labelAnneeProj.setText(Messages.getString("BoiteDialogueProjeter.19")); //$NON-NLS-1$
        labelAnneeProj.setForeground(new java.awt.Color(0, 51, 51));
        labelAnneeProj.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        jPanelAnneeProj.add(labelAnneeProj);

        jTextFieldAnneeProj.setPreferredSize(new java.awt.Dimension(54, 21));
        jPanelAnneeProj.add(jTextFieldAnneeProj);

        jPanelProj.add(jPanelAnneeProj);

        jPanelCentre.add(jPanelProj);

        getContentPane().add(jPanelCentre, java.awt.BorderLayout.CENTER);

        bok.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        bok.setText(Messages.getString("BoiteDialogueProjeter.22")); //$NON-NLS-1$
        jPanelBouton.add(bok);
        bok.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bokActionPerformed(evt);
            }});

        bcancel.setFont(new java.awt.Font("Dialog", 0, 10)); //$NON-NLS-1$
        bcancel.setText(Messages.getString("BoiteDialogueProjeter.24")); //$NON-NLS-1$
        jPanelBouton.add(bcancel);
        bcancel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bcancelActionPerformed(evt);
            }});
            
        getContentPane().add(jPanelBouton, java.awt.BorderLayout.SOUTH);

        pack();
    }
    
        
     /////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////
    public void bokActionPerformed(java.awt.event.ActionEvent evt){
        this.setCursor(new Cursor(3));
        String chpAcreer = jTextFieldVariableCreer.getText();
        if (chpAcreer.compareTo("")==0) { //$NON-NLS-1$
            this.setCursor(new Cursor(0));            
            JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.26"));} //$NON-NLS-1$
        String varDepart=jComboBoxDepart.getSelectedItem().toString();
        String varArrive=jComboBoxArrive.getSelectedItem().toString();
                
        boolean test1=isNombre(jTextFieldAnneeArrive.getText());  
        boolean test2=isNombre(jTextFieldAnneeDepart.getText());
        boolean test3=isNombre(jTextFieldAnneeProj.getText());
        
        this.setCursor(new Cursor(0));              // controle sur les champs é saisir 
        if (test1==false) JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.27")); //$NON-NLS-1$
        else{if(test2==false) JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.28")); //$NON-NLS-1$
                else{if(test3==false) JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.29")); //$NON-NLS-1$
        
                    else {if(jTextFieldAnneeArrive.getText().compareTo("")==0) JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.31")); //$NON-NLS-1$ //$NON-NLS-2$
                        else {if(jTextFieldAnneeDepart.getText().compareTo("")==0) JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.33")); //$NON-NLS-1$ //$NON-NLS-2$
                            else {if(jTextFieldAnneeProj.getText().compareTo("")==0) JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.35"));                        //$NON-NLS-1$ //$NON-NLS-2$
                                else {if (varDepart.compareTo(varArrive)==0)JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.36")); //$NON-NLS-1$
        else{
        int ecartAnneeProj = strToInt(jTextFieldAnneeProj.getText()) - strToInt(jTextFieldAnneeDepart.getText());
        int ecartAnnee = strToInt(jTextFieldAnneeArrive.getText()) - strToInt(jTextFieldAnneeDepart.getText());
        if (ecartAnnee<=0) JOptionPane.showMessageDialog(fen,Messages.getString("BoiteDialogueProjeter.37"));         //$NON-NLS-1$
        else {this.setCursor(new Cursor(3));fen.afficherTableProjeter(chpAcreer,varDepart,varArrive,ecartAnnee,ecartAnneeProj);
        
              setVisible(false);
              dispose();
        this.setCursor(new Cursor(0));              
        }}}}}}}}
        }
            
       
    
    
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////
    //////////////////////////////////////////////////////////////////////////////////////////////////////////////
    
    public boolean isNombre (String chaine)
    {
      boolean rep=true; 
      int i=0,j=1; 
      while ( (rep==true) && (i<chaine.length()) ) {                         
          String lett=chaine.substring(i,j);
          j++;
          i++;
          
          if ( (lett.compareTo("1")==0)||(lett.compareTo("2")==0)||(lett.compareTo("3")==0)|| //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
          (lett.compareTo("4")==0)||(lett.compareTo("5")==0)||(lett.compareTo("6")==0)|| //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
          (lett.compareTo("7")==0)||(lett.compareTo("8")==0)||(lett.compareTo("9")==0)|| //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
          (lett.compareTo("0")==0)||(lett.compareTo(" ")==0)||(lett.compareTo(".")==0) ) rep=true; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
          else rep=false;
      }
      
      return rep;

    }
    
    
     /** 
    * De String vers INT
    */
    public static int strToInt(String s) 
    { 
    Integer ger = new Integer(s); 
    int i = ger.intValue(); 
    return i; 
    }


    
    public void afficherBoiteDialogue(){
        this.setLocationRelativeTo(fen);
        this.setVisible(true);
    }
    
    

    public void bcancelActionPerformed(java.awt.event.ActionEvent evt){
        setVisible(false);
        dispose();
    }
    
    
    /** Closes the dialog */
    private void closeDialog(java.awt.event.WindowEvent evt) {
        setVisible(false);
        dispose();
    }
    
      
    
    
    public void actionPerformed(java.awt.event.ActionEvent actionEvent) {
    }        

        
    // Variables declaration - do not modify
    private javax.swing.JTextField jTextFieldAnneeArrive;
    private javax.swing.JPanel jPanelDepart;
    private javax.swing.JTextField jTextFieldAnneeProj;
    private javax.swing.JPanel jPanelArrive;
    private javax.swing.JPanel jPanelAnneeDepart;
    private javax.swing.JTextField jTextFieldVariableCreer;
    private javax.swing.JPanel jPanelAnneeArrive;
    private javax.swing.JButton bcancel;
    private javax.swing.JLabel labelVariaibleProj;
    private javax.swing.JLabel labelVariableDepart;
    private javax.swing.JPanel jPanelVariableDepart;
    private javax.swing.JPanel jPanelProj;
    private javax.swing.JPanel jPanelVariableArrive;
    private javax.swing.JPanel jPanelVariableProj;
    private javax.swing.JButton bok;
    private javax.swing.JLabel labelVariaibleArrive;
    private javax.swing.JComboBox jComboBoxDepart;
    private javax.swing.JComboBox jComboBoxArrive;
    private javax.swing.JPanel jPanelBouton;
    private javax.swing.JLabel labelAnneeProj;
    private javax.swing.JLabel labelAnneeDepart;
    private javax.swing.JLabel labelAnneeArrive;
    private javax.swing.JPanel jPanelAnneeProj;
    private javax.swing.JPanel jPanelCentre;
    private javax.swing.JTextField jTextFieldAnneeDepart;
    // End of variables declaration
}